% Converted to BNT from BIF (hepar2.bif) by bif2bnt (%Y-%m-%dT%T)
function bnet = mk_hepar2()
node = struct('alcoholism', 1, ...
              'vh_amn', 2, ...
              'hepatotoxic', 3, ...
              'THepatitis', 4, ...
              'hospital', 5, ...
              'surgery', 6, ...
              'gallstones', 7, ...
              'choledocholithotomy', 8, ...
              'injections', 9, ...
              'transfusion', 10, ...
              'ChHepatitis', 11, ...
              'sex', 12, ...
              'age', 13, ...
              'PBC', 14, ...
              'fibrosis', 15, ...
              'diabetes', 16, ...
              'obesity', 17, ...
              'Steatosis', 18, ...
              'Cirrhosis', 19, ...
              'Hyperbilirubinemia', 20, ...
              'triglycerides', 21, ...
              'RHepatitis', 22, ...
              'fatigue', 23, ...
              'bilirubin', 24, ...
              'itching', 25, ...
              'upper_pain', 26, ...
              'fat', 27, ...
              'pain_ruq', 28, ...
              'pressure_ruq', 29, ...
              'phosphatase', 30, ...
              'skin', 31, ...
              'ama', 32, ...
              'le_cells', 33, ...
              'joints', 34, ...
              'pain', 35, ...
              'proteins', 36, ...
              'edema', 37, ...
              'platelet', 38, ...
              'inr', 39, ...
              'bleeding', 40, ...
              'flatulence', 41, ...
              'alcohol', 42, ...
              'encephalopathy', 43, ...
              'urea', 44, ...
              'ascites', 45, ...
              'hepatomegaly', 46, ...
              'hepatalgia', 47, ...
              'density', 48, ...
              'ESR', 49, ...
              'alt', 50, ...
              'ast', 51, ...
              'amylase', 52, ...
              'ggtp', 53, ...
              'cholesterol', 54, ...
              'hbsag', 55, ...
              'hbsag_anti', 56, ...
              'anorexia', 57, ...
              'nausea', 58, ...
              'spleen', 59, ...
              'consciousness', 60, ...
              'spiders', 61, ...
              'jaundice', 62, ...
              'albumin', 63, ...
              'edge', 64, ...
              'irregular_liver', 65, ...
              'hbc_anti', 66, ...
              'hcv_anti', 67, ...
              'palms', 68, ...
              'hbeag', 69, ...
              'carcinoma', 70);

adjacency = zeros(70);
adjacency([node.hepatotoxic node.alcoholism], node.THepatitis) = 1;
adjacency([node.gallstones], node.choledocholithotomy) = 1;
adjacency([node.choledocholithotomy node.surgery node.hospital], node.injections) = 1;
adjacency([node.choledocholithotomy node.surgery node.hospital], node.transfusion) = 1;
adjacency([node.transfusion node.injections node.vh_amn], node.ChHepatitis) = 1;
adjacency([node.age node.sex], node.PBC) = 1;
adjacency([node.ChHepatitis], node.fibrosis) = 1;
adjacency([node.diabetes], node.obesity) = 1;
adjacency([node.obesity node.alcoholism], node.Steatosis) = 1;
adjacency([node.Steatosis node.fibrosis], node.Cirrhosis) = 1;
adjacency([node.age node.sex], node.Hyperbilirubinemia) = 1;
adjacency([node.Steatosis], node.triglycerides) = 1;
adjacency([node.hepatotoxic], node.RHepatitis) = 1;
adjacency([node.RHepatitis node.ChHepatitis node.THepatitis], node.fatigue) = 1;
adjacency([node.Hyperbilirubinemia node.Cirrhosis node.PBC node.ChHepatitis node.gallstones], node.bilirubin) = 1;
adjacency([node.bilirubin], node.itching) = 1;
adjacency([node.gallstones], node.upper_pain) = 1;
adjacency([node.gallstones], node.fat) = 1;
adjacency([node.Hyperbilirubinemia node.Steatosis], node.pain_ruq) = 1;
adjacency([node.PBC node.ChHepatitis node.gallstones], node.pressure_ruq) = 1;
adjacency([node.RHepatitis node.Cirrhosis node.ChHepatitis node.THepatitis], node.phosphatase) = 1;
adjacency([node.bilirubin], node.skin) = 1;
adjacency([node.PBC], node.ama) = 1;
adjacency([node.PBC], node.le_cells) = 1;
adjacency([node.PBC], node.joints) = 1;
adjacency([node.joints node.PBC], node.pain) = 1;
adjacency([node.Cirrhosis], node.proteins) = 1;
adjacency([node.Cirrhosis], node.edema) = 1;
adjacency([node.Cirrhosis node.PBC], node.platelet) = 1;
adjacency([node.Hyperbilirubinemia node.Cirrhosis node.ChHepatitis node.THepatitis], node.inr) = 1;
adjacency([node.inr node.platelet], node.bleeding) = 1;
adjacency([node.gallstones], node.flatulence) = 1;
adjacency([node.Cirrhosis], node.alcohol) = 1;
adjacency([node.Cirrhosis node.PBC], node.encephalopathy) = 1;
adjacency([node.encephalopathy], node.urea) = 1;
adjacency([node.proteins], node.ascites) = 1;
adjacency([node.RHepatitis node.Hyperbilirubinemia node.Steatosis node.THepatitis], node.hepatomegaly) = 1;
adjacency([node.hepatomegaly], node.hepatalgia) = 1;
adjacency([node.encephalopathy], node.density) = 1;
adjacency([node.Hyperbilirubinemia node.Steatosis node.PBC node.ChHepatitis], node.ESR) = 1;
adjacency([node.RHepatitis node.Cirrhosis node.Steatosis node.ChHepatitis node.THepatitis], node.alt) = 1;
adjacency([node.RHepatitis node.Cirrhosis node.Steatosis node.ChHepatitis node.THepatitis], node.ast) = 1;
adjacency([node.gallstones], node.amylase) = 1;
adjacency([node.RHepatitis node.Hyperbilirubinemia node.Steatosis node.PBC node.ChHepatitis node.THepatitis], node.ggtp) = 1;
adjacency([node.Steatosis node.PBC node.ChHepatitis], node.cholesterol) = 1;
adjacency([node.ChHepatitis node.vh_amn], node.hbsag) = 1;
adjacency([node.hbsag node.ChHepatitis node.vh_amn], node.hbsag_anti) = 1;
adjacency([node.RHepatitis node.THepatitis], node.anorexia) = 1;
adjacency([node.RHepatitis node.THepatitis], node.nausea) = 1;
adjacency([node.RHepatitis node.Cirrhosis node.THepatitis], node.spleen) = 1;
adjacency([node.encephalopathy], node.consciousness) = 1;
adjacency([node.Cirrhosis], node.spiders) = 1;
adjacency([node.bilirubin], node.jaundice) = 1;
adjacency([node.Cirrhosis], node.albumin) = 1;
adjacency([node.Cirrhosis], node.edge) = 1;
adjacency([node.Cirrhosis], node.irregular_liver) = 1;
adjacency([node.ChHepatitis node.vh_amn], node.hbc_anti) = 1;
adjacency([node.ChHepatitis node.vh_amn], node.hcv_anti) = 1;
adjacency([node.Cirrhosis], node.palms) = 1;
adjacency([node.ChHepatitis node.vh_amn], node.hbeag) = 1;
adjacency([node.Cirrhosis node.PBC], node.carcinoma) = 1;

value = {{'present'; 'absent'}, ...
         {'present'; 'absent'}, ...
         {'present'; 'absent'}, ...
         {'present'; 'absent'}, ...
         {'present'; 'absent'}, ...
         {'present'; 'absent'}, ...
         {'present'; 'absent'}, ...
         {'present'; 'absent'}, ...
         {'present'; 'absent'}, ...
         {'present'; 'absent'}, ...
         {'active'; 'persistent'; 'absent'}, ...
         {'female'; 'male'}, ...
         {'age65_100'; 'age51_65'; 'age31_50'; 'age0_30'}, ...
         {'present'; 'absent'}, ...
         {'present'; 'absent'}, ...
         {'present'; 'absent'}, ...
         {'present'; 'absent'}, ...
         {'present'; 'absent'}, ...
         {'decompensate'; 'compensate'; 'absent'}, ...
         {'present'; 'absent'}, ...
         {'a17_4'; 'a3_2'; 'a1_0'}, ...
         {'present'; 'absent'}, ...
         {'present'; 'absent'}, ...
         {'a88_20'; 'a19_7'; 'a6_2'; 'a1_0'}, ...
         {'present'; 'absent'}, ...
         {'present'; 'absent'}, ...
         {'present'; 'absent'}, ...
         {'present'; 'absent'}, ...
         {'present'; 'absent'}, ...
         {'a4000_700'; 'a699_240'; 'a239_0'}, ...
         {'present'; 'absent'}, ...
         {'present'; 'absent'}, ...
         {'present'; 'absent'}, ...
         {'present'; 'absent'}, ...
         {'present'; 'absent'}, ...
         {'a10_6'; 'a5_2'}, ...
         {'present'; 'absent'}, ...
         {'a597_300'; 'a299_150'; 'a149_100'; 'a99_0'}, ...
         {'a200_110'; 'a109_70'; 'a69_0'}, ...
         {'present'; 'absent'}, ...
         {'present'; 'absent'}, ...
         {'present'; 'absent'}, ...
         {'present'; 'absent'}, ...
         {'a165_50'; 'a49_40'; 'a39_0'}, ...
         {'present'; 'absent'}, ...
         {'present'; 'absent'}, ...
         {'present'; 'absent'}, ...
         {'present'; 'absent'}, ...
         {'a200_50'; 'a49_15'; 'a14_0'}, ...
         {'a850_200'; 'a199_100'; 'a99_35'; 'a34_0'}, ...
         {'a700_400'; 'a399_150'; 'a149_40'; 'a39_0'}, ...
         {'a1400_500'; 'a499_300'; 'a299_0'}, ...
         {'a640_70'; 'a69_30'; 'a29_10'; 'a9_0'}, ...
         {'a999_350'; 'a349_240'; 'a239_0'}, ...
         {'present'; 'absent'}, ...
         {'present'; 'absent'}, ...
         {'present'; 'absent'}, ...
         {'present'; 'absent'}, ...
         {'present'; 'absent'}, ...
         {'present'; 'absent'}, ...
         {'present'; 'absent'}, ...
         {'present'; 'absent'}, ...
         {'a70_50'; 'a49_30'; 'a29_0'}, ...
         {'present'; 'absent'}, ...
         {'present'; 'absent'}, ...
         {'present'; 'absent'}, ...
         {'present'; 'absent'}, ...
         {'present'; 'absent'}, ...
         {'present'; 'absent'}, ...
         {'present'; 'absent'}};

bnet = mk_bnet(adjacency, [2 2 2 2 2 2 2 2 2 2 3 2 4 2 2 2 2 2 3 2 3 2 2 4 2 2 2 2 2 3 2 2 2 2 2 2 2 4 3 2 2 2 2 3 2 2 2 2 3 4 4 3 4 3 2 2 2 2 2 2 2 2 3 2 2 2 2 2 2 2]);
bnet.CPD{node.alcoholism} = tabular_CPD(bnet, node.alcoholism, [0.1359084 0.8640916]);
bnet.CPD{node.vh_amn} = tabular_CPD(bnet, node.vh_amn, [0.1731044 0.8268956]);
bnet.CPD{node.hepatotoxic} = tabular_CPD(bnet, node.hepatotoxic, [0.08154506 0.91845494]);
bnet.CPD{node.THepatitis} = tabular_CPD(bnet, node.THepatitis, [0.2 0.00191939 0.08888889 0.0326087 0.8 0.99808061 0.91111111 0.9673913]);
bnet.CPD{node.hospital} = tabular_CPD(bnet, node.hospital, [0.5350501 0.4649499]);
bnet.CPD{node.surgery} = tabular_CPD(bnet, node.surgery, [0.4234621 0.5765379]);
bnet.CPD{node.gallstones} = tabular_CPD(bnet, node.gallstones, [0.1530758 0.8469242]);
bnet.CPD{node.choledocholithotomy} = tabular_CPD(bnet, node.choledocholithotomy, [0.7102804 0.03716216 0.2897196 0.96283784]);
bnet.CPD{node.injections} = tabular_CPD(bnet, node.injections, [0.8 0.375 0.8333333 0.01098901 0.715847 0.2333333 0.4818182 0.0647482 0.2 0.625 0.1666667 0.98901099 0.284153 0.7666667 0.5181818 0.9352518]);
bnet.CPD{node.transfusion} = tabular_CPD(bnet, node.transfusion, [0.3333333 0.125 0.1666667 0.01098901 0.2896175 0.3 0.1181818 0.01079137 0.6666667 0.875 0.8333333 0.98901099 0.7103825 0.7 0.8818182 0.98920863]);
bnet.CPD{node.ChHepatitis} = tabular_CPD(bnet, node.ChHepatitis, [0.2094241 0.4615385 0.15384615 0.24 0.06 0.13043478 0.07692308 0.13095238 0.0052356 0.3076923 0.05128205 0.14 0.06 0.04347826 0.00591716 0.05357143 0.7853403 0.2307692 0.79487180 0.62 0.88 0.82608696 0.91715976 0.81547619]);
bnet.CPD{node.sex} = tabular_CPD(bnet, node.sex, [0.5979971 0.4020029]);
bnet.CPD{node.age} = tabular_CPD(bnet, node.age, [0.07725322 0.38769671 0.39771102 0.13733906]);
bnet.CPD{node.PBC} = tabular_CPD(bnet, node.PBC, [0.6571429 0.3684211 0.700565 0.08510638 0.6149425 0.06730769 0.125 0.00156006 0.3428571 0.6315789 0.299435 0.91489362 0.3850575 0.93269231 0.875 0.99843994]);
bnet.CPD{node.fibrosis} = tabular_CPD(bnet, node.fibrosis, [0.3 0.05 0.001 0.7 0.95 0.999]);
bnet.CPD{node.diabetes} = tabular_CPD(bnet, node.diabetes, [0.03576538 0.96423462]);
bnet.CPD{node.obesity} = tabular_CPD(bnet, node.obesity, [0.24 0.06231454 0.76 0.93768546]);
bnet.CPD{node.Steatosis} = tabular_CPD(bnet, node.Steatosis, [0.3636364 0.1891892 0.2380952 0.06349206 0.6363636 0.8108108 0.7619048 0.93650794]);
bnet.CPD{node.Cirrhosis} = tabular_CPD(bnet, node.Cirrhosis, [0.56 0.35 0.49 0.001 0.24 0.15 0.21 0.001 0.20 0.50 0.30 0.998]);
bnet.CPD{node.Hyperbilirubinemia} = tabular_CPD(bnet, node.Hyperbilirubinemia, [0.002849 0.04597701 0.0052356 0.07692308 0.01129944 0.21875 0.0212766 0.453125 0.997151 0.95402299 0.9947644 0.92307692 0.98870056 0.78125 0.9787234 0.546875]);
bnet.CPD{node.triglycerides} = tabular_CPD(bnet, node.triglycerides, [0.1791045 0.02373418 0.1641791 0.03164557 0.6567164 0.94462025]);
bnet.CPD{node.RHepatitis} = tabular_CPD(bnet, node.RHepatitis, [0.01754386 0.02492212 0.98245614 0.97507788]);
bnet.CPD{node.fatigue} = tabular_CPD(bnet, node.fatigue, [0.6363636 0.6071429 0.5892857 0.7058823 0.6666667 0.6043956 0.6153846 0.6236559 0.625 0.5932203 0.5277778 0.5359849 0.3636364 0.3928571 0.4107143 0.2941177 0.3333333 0.3956044 0.3846154 0.3763441 0.375 0.4067797 0.4722222 0.4640151]);
bnet.CPD{node.bilirubin} = tabular_CPD(bnet, node.bilirubin, [0.04347826 0.01818182 0.00311526 0.00174825 0.01923077 0.07894737 0.00178253 0.01388889 0.07407407 0.02189781 0.00892857 0.00144509 0.04081633 0.02173913 0.00321543 0.01694915 0.03030303 0.07692308 0.01818182 0.04545455 0.06818182 0.02590674 0.00621118 0.03448276 0.01449275 0.00144718 0.04225352 0.02158273 0.00151286 0.00662252 0.03030303 0.07575758 0.00398406 0.00114811 0.06 0.02061856 0.02830189 0.01282051 0.04477612 0.02926829 0.01449275 0.01923077 0.03910615 0.08536585 0.01818182 0.01886792 0.05555556 0.03030303 0.03571429 0.01941748 0.00255102 0.00127877 0.02020202 0.07692308 0.00146843 0.07692308 0.05882353 0.02362205 0.0049505 0.00181159 0.04255319 0.0234375 0.00980392 0.00284091 0.032 0.07042254 0.01234568 0.01587302 0.05084746 0.02824859 0.07692308 0.00070872 0.21739130 0.11818182 0.03115265 0.00174825 0.11538462 0.23684211 0.01782531 0.01388889 0.22222222 0.12408759 0.00892857 0.00144509 0.14285714 0.13768116 0.09646302 0.01694915 0.14393939 0.23076923 0.01818182 0.04545455 0.20454545 0.15025907 0.06211180 0.03448276 0.11594203 0.04341534 0.15492958 0.11510791 0.04538578 0.13245033 0.12121212 0.22727273 0.11952191 0.05740528 0.20 0.12371134 0.16037736 0.07692308 0.16417910 0.14634146 0.07246377 0.19230769 0.15083799 0.24390244 0.16363636 0.13207547 0.19444444 0.16666667 0.16071429 0.10679612 0.00255102 0.00127877 0.11111111 0.23076923 0.01468429 0.07692308 0.20588235 0.11811024 0.0049505 0.00181159 0.17021277 0.1328125 0.00980392 0.00284091 0.136 0.22535211 0.02469136 0.01587302 0.20338983 0.14124294 0.07692308 0.02126152 0.34782609 0.38181818 0.43613707 0.29720280 0.36538462 0.34210526 0.28520499 0.41666667 0.33333333 0.41605839 0.44642857 0.36127168 0.40816327 0.35507246 0.41800643 0.10169492 0.34090909 0.35384615 0.14545455 0.45454545 0.36363636 0.38341969 0.43478261 0.10344828 0.39130435 0.37626628 0.36619718 0.37410072 0.34795764 0.26490066 0.35606061 0.36363636 0.35856574 0.44776119 0.36 0.40721649 0.36792453 0.26923077 0.34328358 0.33658537 0.24637681 0.01923077 0.32960894 0.36585366 0.34545455 0.43396226 0.35185185 0.38888889 0.39285714 0.34951456 0.33163265 0.33248082 0.34343434 0.35897436 0.30837004 0.07692308 0.38235294 0.37795276 0.2970297 0.54347827 0.37234043 0.3125000 0.19607843 0.05681818 0.312 0.36619718 0.14814815 0.01587302 0.37288136 0.33898305 0.07692308 0.13465627 0.39130435 0.48181818 0.52959502 0.69930070 0.50000000 0.34210526 0.69518717 0.55555555 0.37037037 0.43795620 0.53571429 0.63583814 0.40816327 0.48550725 0.48231511 0.86440678 0.48484848 0.33846154 0.81818181 0.45454545 0.36363636 0.44041451 0.49689441 0.82758620 0.47826087 0.57887120 0.43661972 0.48920863 0.60514372 0.59602649 0.49242424 0.33333333 0.51792829 0.49368542 0.38 0.44845361 0.44339623 0.64102564 0.44776119 0.48780488 0.66666667 0.76923077 0.48044693 0.30487805 0.47272727 0.41509434 0.39814815 0.41414141 0.41071429 0.52427184 0.66326531 0.66496164 0.52525253 0.33333333 0.67547724 0.76923076 0.35294118 0.48031496 0.6930693 0.45289855 0.41489362 0.5312500 0.78431373 0.93750000 0.520 0.33802817 0.81481481 0.95238094 0.37288136 0.49152542 0.76923076 0.84337349]);
bnet.CPD{node.itching} = tabular_CPD(bnet, node.itching, [0.875 0.6865672 0.5477387 0.3333333 0.125 0.3134328 0.4522613 0.6666667]);
bnet.CPD{node.upper_pain} = tabular_CPD(bnet, node.upper_pain, [0.411215 0.3868243 0.588785 0.6131757]);
bnet.CPD{node.fat} = tabular_CPD(bnet, node.fat, [0.1775701 0.2804054 0.8224299 0.7195946]);
bnet.CPD{node.pain_ruq} = tabular_CPD(bnet, node.pain_ruq, [0.3934426 0.2857143 0.4776119 0.421875 0.6065574 0.7142857 0.5223881 0.578125]);
bnet.CPD{node.pressure_ruq} = tabular_CPD(bnet, node.pressure_ruq, [0.3333333 0.4691358 0.3424658 0.328125 0.4 0.3227513 0.09090909 0.2929293 0.4285714 0.2857143 0.3292683 0.4532374 0.6666667 0.5308642 0.6575342 0.671875 0.6 0.6772487 0.90909091 0.7070707 0.5714286 0.7142857 0.6707317 0.5467626]);
bnet.CPD{node.phosphatase} = tabular_CPD(bnet, node.phosphatase, [0.04166667 0.02040816 0.04597701 0.04054054 0.02985075 0.04166667 0.04761905 0.03896104 0.03773585 0.015625 0.04494382 0.05555556 0.02898551 0.02272727 0.04166667 0.02777778 0.03571429 0.04545455 0.04651163 0.06896552 0.04347826 0.02083333 0.04494382 0.07407407 0.02597403 0.02702703 0.04918033 0.06451613 0.025 0.00584795 0.03296703 0.05357143 0.03389831 0.02325581 0.03703704 0.2118451 0.29166667 0.28571429 0.29885057 0.20270270 0.29850746 0.33333333 0.28571429 0.31168831 0.26415094 0.234375 0.33707865 0.34722222 0.28985507 0.20454545 0.27777778 0.19444444 0.21428571 0.37878788 0.22093023 0.48275862 0.30434783 0.31250000 0.33707865 0.14814815 0.24675325 0.27027027 0.31147541 0.38709677 0.250 0.23391813 0.21978022 0.26785714 0.32203390 0.18604651 0.25925926 0.3394077 0.66666666 0.69387755 0.65517242 0.75675676 0.67164179 0.62500000 0.66666666 0.64935065 0.69811321 0.750000 0.61797753 0.59722222 0.68115942 0.77272728 0.68055555 0.77777778 0.75000000 0.57575757 0.73255814 0.44827586 0.65217391 0.66666667 0.61797753 0.77777778 0.72727272 0.70270270 0.63934426 0.54838710 0.725 0.76023392 0.74725275 0.67857143 0.64406779 0.79069768 0.70370370 0.4487472]);
bnet.CPD{node.skin} = tabular_CPD(bnet, node.skin, [0.99378882 0.8955224 0.7035176 0.1822542 0.00621118 0.1044776 0.2964824 0.8177458]);
bnet.CPD{node.ama} = tabular_CPD(bnet, node.ama, [0.5678571 0.01193317 0.4321429 0.98806683]);
bnet.CPD{node.le_cells} = tabular_CPD(bnet, node.le_cells, [0.1214286 0.04057279 0.8785714 0.95942721]);
bnet.CPD{node.joints} = tabular_CPD(bnet, node.joints, [0.1285714 0.1002387 0.8714286 0.8997613]);
bnet.CPD{node.pain} = tabular_CPD(bnet, node.pain, [0.3888889 0.8095238 0.147541 0.1830239 0.6111111 0.1904762 0.852459 0.8169761]);
bnet.CPD{node.proteins} = tabular_CPD(bnet, node.proteins, [0.99827883 0.99678457 0.98032787 0.00172117 0.00321543 0.01967213]);
bnet.CPD{node.edema} = tabular_CPD(bnet, node.edema, [0.3448276 0.06451613 0.1311475 0.6551724 0.93548387 0.8688525]);
bnet.CPD{node.platelet} = tabular_CPD(bnet, node.platelet, [0.06547619 0.06428571 0.06451613 0.06557377 0.06896552 0.09393939 0.63690476 0.67142857 0.64516129 0.63934426 0.46551724 0.73636364 0.17857143 0.15714286 0.16129032 0.17486339 0.27586207 0.13939394 0.11904762 0.10714286 0.12903226 0.12021858 0.18965517 0.03030303]);
bnet.CPD{node.inr} = tabular_CPD(bnet, node.inr, [0.01754386 0.03030303 0.03508772 0.01785714 0.03508772 0.02150538 0.02409639 0.03571429 0.05333333 0.05357143 0.01428571 0.01333333 0.01923077 0.05 0.02469136 0.00172117 0.00321543 0.02197802 0.03448276 0.025 0.02197802 0.05084746 0.02898551 0.02173913 0.02816901 0.024 0.01298701 0.03225806 0.04081633 0.01785714 0.03703704 0.01666667 0.01960784 0.03333333 0.08333333 0.065 0.84210526 0.84848485 0.82456140 0.76785715 0.84210526 0.81720430 0.86746988 0.85714285 0.90666667 0.89285714 0.75714286 0.86666667 0.90384615 0.90 0.75308642 0.60240964 0.67524116 0.90109890 0.81034483 0.850 0.89010989 0.88135593 0.79710145 0.75000000 0.80281691 0.904 0.81818182 0.79032259 0.83673469 0.78571429 0.92592592 0.80000000 0.85294118 0.83333334 0.88888889 0.875 0.14035088 0.12121212 0.14035088 0.21428571 0.12280702 0.16129032 0.10843373 0.10714286 0.04000000 0.05357143 0.22857143 0.12000000 0.07692308 0.05 0.22222222 0.39586919 0.32154341 0.07692308 0.15517241 0.125 0.08791209 0.06779661 0.17391304 0.22826087 0.16901408 0.072 0.16883117 0.17741935 0.12244898 0.19642857 0.03703704 0.18333333 0.12745098 0.13333333 0.02777778 0.060]);
bnet.CPD{node.bleeding} = tabular_CPD(bnet, node.bleeding, [0.1428571 0.1304348 0.2 0.5 0.106383 0.1373494 0.1333333 0.255814 0.09090909 0.425 0.25 0.6666667 0.8571429 0.8695652 0.8 0.5 0.893617 0.8626506 0.8666667 0.744186 0.90909091 0.575 0.75 0.3333333]);
bnet.CPD{node.flatulence} = tabular_CPD(bnet, node.flatulence, [0.3925234 0.4307432 0.6074766 0.5692568]);
bnet.CPD{node.alcohol} = tabular_CPD(bnet, node.alcohol, [0.2068966 0.2258064 0.1114754 0.7931034 0.7741936 0.8885246]);
bnet.CPD{node.encephalopathy} = tabular_CPD(bnet, node.encephalopathy, [0.05325444 0.05357143 0.00321543 0.04891304 0.05172414 0.01515152 0.94674556 0.94642857 0.99678457 0.95108696 0.94827586 0.98484848]);
bnet.CPD{node.urea} = tabular_CPD(bnet, node.urea, [0.2173913 0.03550296 0.1304348 0.06508876 0.6521739 0.89940828]);
bnet.CPD{node.ascites} = tabular_CPD(bnet, node.ascites, [0.1280932 0.5833333 0.8719068 0.4166667]);
bnet.CPD{node.hepatomegaly} = tabular_CPD(bnet, node.hepatomegaly, [0.6097561 0.68 0.6 0.6756757 0.5901639 0.6527778 0.5866667 0.6865672 0.5918367 0.673913 0.5897436 0.7777778 0.5555556 0.7058823 0.375 0.6973684 0.3902439 0.32 0.4 0.3243243 0.4098361 0.3472222 0.4133333 0.3134328 0.4081633 0.326087 0.4102564 0.2222222 0.4444444 0.2941177 0.625 0.3026316]);
bnet.CPD{node.hepatalgia} = tabular_CPD(bnet, node.hepatalgia, [0.3142251 0.03070175 0.6857749 0.96929825]);
bnet.CPD{node.density} = tabular_CPD(bnet, node.density, [0.7391304 0.3772189 0.2608696 0.6227811]);
bnet.CPD{node.ESR} = tabular_CPD(bnet, node.ESR, [0.2704918 0.2682927 0.3093923 0.06024096 0.2972973 0.1750 0.3315508 0.08602151 0.3425926 0.07594937 0.2941177 0.1045752 0.3629893 0.13432836 0.3205575 0.03296703 0.3333333 0.05434783 0.3636364 0.01785714 0.368 0.05555556 0.4321429 0.04733728 0.1721312 0.1768293 0.1767956 0.12048193 0.1837838 0.1625 0.1711230 0.08602151 0.1712963 0.06329114 0.1911765 0.1633987 0.1779359 0.05970149 0.2055749 0.21978022 0.1720430 0.07608696 0.1818182 0.07142857 0.184 0.05555556 0.2107143 0.05325444 0.5573770 0.5548780 0.5138121 0.81927711 0.5189189 0.6625 0.4973262 0.82795698 0.4861111 0.86075949 0.5147058 0.7320261 0.4590747 0.80597015 0.4738676 0.74725275 0.4946237 0.86956521 0.4545455 0.91071429 0.448 0.88888888 0.3571429 0.89940828]);
bnet.CPD{node.alt} = tabular_CPD(bnet, node.alt, [0.05882353 0.06451613 0.05172414 0.02272727 0.02 0.02 0.0617284 0.06976744 0.01724138 0.01724138 0.01818182 0.025 0.05454545 0.07017544 0.02173913 0.00269542 0.00212314 0.00249377 0.05479452 0.07792208 0.00191939 0.02040816 0.00172117 0.01470588 0.04761905 0.07936508 0.0021692 0.00262467 0.00191939 0.0023753 0.05882353 0.08333333 0.00166389 0.01818182 0.00131406 0.00369004 0.06849315 0.0750 0.01923077 0.01886792 0.01666667 0.02816901 0.06862745 0.08148148 0.02777778 0.03409091 0.02666667 0.06896552 0.05882353 0.08333333 0.0020790 0.02272727 0.00178253 0.01724138 0.0625000 0.08661417 0.01492537 0.02631579 0.01176471 0.03225806 0.0625 0.08988764 0.00181488 0.02083333 0.00144718 0.00584795 0.064 0.1208791 0.01190476 0.02777778 0.00149031 0.04569892 0.15686275 0.17741935 0.15517241 0.11363636 0.12 0.12 0.1728395 0.16279070 0.12068966 0.10344828 0.10909091 0.100 0.16363636 0.19298246 0.13043478 0.13477089 0.12738854 0.14962594 0.16438356 0.18181818 0.11516315 0.12244898 0.10327022 0.11764706 0.15873016 0.19047619 0.1084599 0.13123360 0.11516315 0.1425178 0.15294118 0.18750000 0.09983361 0.10909091 0.09198423 0.07380074 0.16438356 0.1875 0.11538462 0.13207547 0.11666667 0.12676056 0.16666667 0.17777778 0.11111111 0.11363636 0.09333333 0.12068966 0.17647059 0.20833333 0.1247401 0.15909091 0.12477718 0.15517241 0.1666667 0.19685039 0.11940299 0.13157895 0.10588235 0.19354839 0.1750 0.22471910 0.12704174 0.16666667 0.11577424 0.23391813 0.168 0.2307692 0.10714286 0.13888889 0.08941878 0.17473118 0.41176471 0.41935484 0.39655172 0.40909091 0.40 0.44 0.4197531 0.41860465 0.39655172 0.39655172 0.43636364 0.425 0.41818182 0.42105263 0.41304348 0.40431267 0.42462845 0.44887781 0.42465753 0.41558442 0.40307102 0.38775510 0.44750430 0.44117647 0.41269841 0.41269841 0.3904555 0.36745407 0.42226488 0.4275534 0.41176471 0.40625000 0.38269551 0.34545455 0.42049934 0.36900369 0.42465753 0.4250 0.40384615 0.41509434 0.45000000 0.46478873 0.42156863 0.42222222 0.38888889 0.38636364 0.42666667 0.46551724 0.42647059 0.43055556 0.4158004 0.40909091 0.46345811 0.48275862 0.4270833 0.42519685 0.40298507 0.39473684 0.44705882 0.51612903 0.4125 0.41573034 0.39927405 0.37500000 0.44862518 0.46783626 0.416 0.3956044 0.38095238 0.27777778 0.41728763 0.42741935 0.37254902 0.33870968 0.39655172 0.45454545 0.46 0.42 0.3456790 0.34883721 0.46551724 0.48275862 0.43636364 0.450 0.36363636 0.31578947 0.43478261 0.45822102 0.44585987 0.39900249 0.35616438 0.32467532 0.47984645 0.46938776 0.44750430 0.42647059 0.38095238 0.31746032 0.4989154 0.49868766 0.46065259 0.4275534 0.37647059 0.32291667 0.51580699 0.52727272 0.48620237 0.55350553 0.34246575 0.3125 0.46153846 0.43396226 0.41666667 0.38028169 0.34313725 0.31851852 0.47222222 0.46590909 0.45333333 0.34482759 0.33823529 0.27777778 0.4573805 0.40909091 0.40998217 0.34482759 0.3437500 0.29133858 0.46268657 0.44736842 0.43529412 0.25806452 0.3500 0.26966292 0.47186933 0.43750000 0.43415340 0.29239766 0.352 0.2527472 0.50000000 0.55555555 0.49180328 0.35215054]);
bnet.CPD{node.ast} = tabular_CPD(bnet, node.ast, [0.01960784 0.01612903 0.01754386 0.00221729 0.00199601 0.00199601 0.02469136 0.02352941 0.00172117 0.00172117 0.00181488 0.00126422 0.01818182 0.01818182 0.00221729 0.00269542 0.00212314 0.00249377 0.02739726 0.02597403 0.00191939 0.00203666 0.00172117 0.00149031 0.01612903 0.03225806 0.00212314 0.00269542 0.00191939 0.00243309 0.02380952 0.0312500 0.00166389 0.00181488 0.00133156 0.00369004 0.02777778 0.025 0.00191939 0.00184843 0.00166389 0.00140647 0.02912621 0.03676471 0.00142653 0.01136364 0.00133156 0.01724138 0.02941176 0.02777778 0.00203666 0.00226757 0.00175131 0.00172117 0.0312500 0.03937008 0.00149031 0.01315789 0.00116144 0.03225806 0.02531646 0.03370787 0.00181488 0.00212314 0.00142653 0.00584795 0.03174603 0.05494505 0.00120337 0.02777778 0.00149031 0.01075269 0.13725490 0.16129032 0.14035088 0.11086475 0.09980040 0.09980040 0.16049383 0.16470588 0.10327022 0.10327022 0.09074410 0.08849558 0.12727273 0.16363636 0.08869180 0.08086253 0.08492569 0.07481297 0.13698630 0.16883117 0.07677543 0.08146640 0.06884682 0.07451565 0.14516129 0.17741935 0.08492569 0.08086253 0.07677543 0.07299270 0.14285714 0.1875000 0.08319468 0.09074410 0.06657790 0.07380074 0.15277778 0.175 0.09596929 0.11090573 0.09983361 0.11251758 0.16504854 0.17647059 0.09985735 0.10227273 0.09320905 0.13793103 0.14705882 0.18055556 0.08146640 0.09070295 0.08756567 0.10327022 0.1562500 0.18110236 0.08941878 0.09210526 0.08130081 0.06451613 0.15189873 0.20224719 0.09074410 0.10615711 0.08559201 0.11695906 0.15873016 0.23076923 0.08423586 0.11111111 0.07451565 0.22580645 0.47058824 0.48387097 0.45614035 0.46563193 0.45908184 0.47904192 0.46913580 0.45882353 0.44750430 0.43029260 0.47186933 0.45512010 0.49090909 0.50909091 0.48780488 0.51212938 0.48832272 0.54862842 0.47945205 0.48051948 0.46065259 0.46843177 0.48192771 0.49180328 0.46774194 0.48387097 0.44585987 0.45822102 0.46065259 0.51094891 0.45238095 0.4583333 0.41597338 0.41742287 0.43941411 0.36900369 0.48611111 0.500 0.46065259 0.48059150 0.49916805 0.52039381 0.46601942 0.47058824 0.44222539 0.44318182 0.45272969 0.50000000 0.50000001 0.52777777 0.48879837 0.52154195 0.52539405 0.58519794 0.4791667 0.49606299 0.46199702 0.47368421 0.48780488 0.67741936 0.48101266 0.50561797 0.45372051 0.48832272 0.49928673 0.64327486 0.46031746 0.46153846 0.43321300 0.36111111 0.43219076 0.46774194 0.37254902 0.33870968 0.38596491 0.42128603 0.43912176 0.41916168 0.34567901 0.35294118 0.44750430 0.46471601 0.43557169 0.45512010 0.36363636 0.30909091 0.42128603 0.40431267 0.42462845 0.37406484 0.35616438 0.32467532 0.46065259 0.44806517 0.44750430 0.43219076 0.37096774 0.30645161 0.46709130 0.45822102 0.46065259 0.41362530 0.38095238 0.3229167 0.49916805 0.49001815 0.49267643 0.55350553 0.33333333 0.300 0.44145873 0.40665434 0.39933444 0.36568214 0.33980583 0.31617647 0.45649073 0.44318182 0.45272969 0.34482759 0.32352941 0.26388889 0.42769857 0.38548753 0.38528897 0.30981067 0.3333333 0.28346457 0.44709389 0.42105263 0.42973287 0.22580645 0.34177215 0.25842697 0.45372051 0.40339703 0.41369472 0.23391813 0.34920635 0.25274725 0.48134777 0.50000000 0.49180328 0.29569892]);
bnet.CPD{node.amylase} = tabular_CPD(bnet, node.amylase, [0.01869159 0.01013514 0.04672897 0.01689189 0.93457944 0.97297297]);
bnet.CPD{node.ggtp} = tabular_CPD(bnet, node.ggtp, [0.1590909 0.1741935 0.1509434 0.06024096 0.1787710 0.1666667 0.06493506 0.04838710 0.1696429 0.1857923 0.10526316 0.07070707 0.1804878 0.1782946 0.07692308 0.05000000 0.1756757 0.1826087 0.06349206 0.05660377 0.1694915 0.1652893 0.06557377 0.04545455 0.1800000 0.1939799 0.07594937 0.08791209 0.1832061 0.1742424 0.078125 0.04615385 0.1666667 0.1546392 0.05714286 0.05555556 0.1776316 0.1698113 0.06410256 0.04444444 0.1768707 0.1730769 0.07142857 0.06122449 0.1899441 0.1843575 0.07692308 0.04210526 0.1759259 0.1726619 0.04166667 0.04285714 0.1846847 0.1964286 0.04395604 0.03076923 0.1913044 0.1893491 0.04761905 0.06172840 0.2007435 0.2207792 0.00277008 0.11695906 0.1785714 0.1822917 0.04545455 0.03703704 0.1666667 0.1918605 0.05649718 0.02702703 0.1987179 0.1977612 0.03448276 0.07462687 0.1854839 0.2142857 0.07393715 0.07380074 0.1748252 0.1885246 0.04166667 0.04338395 0.1764706 0.1986755 0.04615385 0.00177936 0.19375 0.2108843 0.03030303 0.06651885 0.1939394 0.2392857 0.06756757 0.080 0.1477273 0.1677419 0.1415094 0.04819277 0.1731844 0.1500000 0.06493506 0.03225806 0.1607143 0.1857923 0.09210526 0.08080808 0.1756098 0.1627907 0.08547009 0.03333333 0.1621622 0.1782609 0.04761905 0.06603774 0.1610169 0.1487603 0.04918033 0.03030303 0.1666667 0.1939799 0.07594937 0.14285714 0.1755725 0.1590909 0.078125 0.03076923 0.1590909 0.1443299 0.04285714 0.03703704 0.1710526 0.1572327 0.05128205 0.04444444 0.1632653 0.1538462 0.07142857 0.02040816 0.1899441 0.1675978 0.08791209 0.04210526 0.1574074 0.1510791 0.02083333 0.01428571 0.1846847 0.1785714 0.07692308 0.01538462 0.1739130 0.1656805 0.02380952 0.01234568 0.1970260 0.1991342 0.05540166 0.00584795 0.1714286 0.1614583 0.04545455 0.02777778 0.1481482 0.1744186 0.00188324 0.01351351 0.1858974 0.1791045 0.03448276 0.02985075 0.1612903 0.1932773 0.00184843 0.00369004 0.1678322 0.1639344 0.04166667 0.00216920 0.1544118 0.1920530 0.01538462 0.00177936 0.18125 0.1836735 0.03030303 0.00221729 0.1696970 0.2250000 0.01351351 0.096 0.1136364 0.1225806 0.1226415 0.09638554 0.1229050 0.1250000 0.11688312 0.11290323 0.1250000 0.1311475 0.13157895 0.12121212 0.1365854 0.1317830 0.14529915 0.13333333 0.1216216 0.1260870 0.11111111 0.12264151 0.1186441 0.1157025 0.09836066 0.10606061 0.1333333 0.1371237 0.13924051 0.17582418 0.1297710 0.1287879 0.125000 0.12307692 0.1212121 0.1134021 0.10000000 0.09259259 0.1250000 0.1257862 0.10256410 0.12222222 0.1292517 0.1250000 0.13095238 0.10204082 0.1340782 0.1340782 0.13186813 0.13684211 0.1111111 0.1151079 0.08333333 0.08571429 0.1261261 0.1130952 0.13186813 0.06153846 0.1217391 0.1242604 0.09523810 0.09876543 0.1338290 0.1212121 0.19390582 0.05847953 0.1214286 0.1197917 0.10606061 0.10185185 0.1111111 0.1104651 0.07532957 0.05405405 0.1282051 0.1268657 0.12068966 0.13432836 0.1209677 0.1176471 0.09242144 0.03690037 0.1188811 0.1065574 0.09722222 0.04338395 0.1176471 0.1225166 0.09230769 0.01779359 0.12500 0.1156463 0.10606061 0.04434590 0.1272727 0.1321429 0.10810811 0.144 0.5795454 0.5354840 0.5849057 0.79518073 0.5251396 0.5583333 0.75324676 0.80645161 0.5446428 0.4972678 0.67105263 0.72727273 0.5073170 0.5271317 0.69230768 0.78333334 0.5405405 0.5130434 0.77777778 0.75471698 0.5508475 0.5702479 0.78688524 0.81818181 0.5200000 0.4749164 0.70886075 0.59340659 0.5114504 0.5378788 0.718750 0.80000000 0.5530303 0.5876288 0.80000000 0.81481481 0.5263158 0.5471698 0.78205129 0.78888890 0.5306123 0.5480769 0.72619048 0.81632653 0.4860335 0.5139665 0.70329670 0.77894737 0.5555556 0.5611511 0.85416667 0.85714286 0.5045045 0.5119048 0.74725275 0.89230769 0.5130435 0.5207100 0.83333333 0.82716049 0.4684015 0.4588745 0.74792244 0.81871346 0.5285714 0.5364583 0.80303029 0.83333333 0.5740740 0.5232558 0.86629001 0.90540541 0.4871795 0.4962687 0.81034482 0.76119402 0.5322581 0.4747899 0.83179298 0.88560885 0.5384615 0.5409836 0.81944444 0.91106290 0.5514705 0.4867550 0.84615384 0.97864769 0.50000 0.4897959 0.83333333 0.88691796 0.5090909 0.4035714 0.81081081 0.680]);
bnet.CPD{node.cholesterol} = tabular_CPD(bnet, node.cholesterol, [0.08965517 0.03296703 0.1050955 0.04477612 0.09174312 0.09659091 0.00277008 0.1250000 0.1015873 0.06918239 0.1034483 0.00044425 0.28275862 0.06593407 0.3152866 0.22388060 0.27981651 0.30113636 0.02770083 0.3642857 0.3047619 0.23899371 0.3256705 0.09773434 0.62758621 0.90109890 0.5796179 0.73134328 0.62844037 0.60227273 0.96952909 0.5107143 0.5936508 0.69182390 0.5708812 0.90182141]);
bnet.CPD{node.hbsag} = tabular_CPD(bnet, node.hbsag, [0.5 0.1904762 0.4615385 0.04347826 0.1125 0.04674797 0.5 0.8095238 0.5384615 0.95652174 0.8875 0.95325203]);
bnet.CPD{node.hbsag_anti} = tabular_CPD(bnet, node.hbsag_anti, [0.0070922 0.08333333 0.01639344 0.09090909 0.01098901 0.004329 0.07142857 0.00195695 0.01408451 0.00452489 0.04225352 0.01492537 0.9929078 0.91666667 0.98360656 0.90909091 0.98901099 0.995671 0.92857143 0.99804305 0.98591549 0.99547511 0.95774648 0.98507463]);
bnet.CPD{node.anorexia} = tabular_CPD(bnet, node.anorexia, [0.1818182 0.1176471 0.2222222 0.280916 0.8181818 0.8823529 0.7777778 0.719084]);
bnet.CPD{node.nausea} = tabular_CPD(bnet, node.nausea, [0.3636364 0.3529412 0.3703704 0.2854962 0.6363636 0.6470588 0.6296296 0.7145038]);
bnet.CPD{node.spleen} = tabular_CPD(bnet, node.spleen, [0.3235294 0.1621622 0.2156863 0.3703704 0.1176471 0.2580645 0.3023256 0.3623188 0.1111111 0.2444444 0.4827586 0.1007067 0.6764706 0.8378378 0.7843137 0.6296296 0.8823529 0.7419355 0.6976744 0.6376812 0.8888889 0.7555556 0.5172414 0.8992933]);
bnet.CPD{node.consciousness} = tabular_CPD(bnet, node.consciousness, [0.3043478 0.01627219 0.6956522 0.98372781]);
bnet.CPD{node.spiders} = tabular_CPD(bnet, node.spiders, [0.6034483 0.483871 0.1836066 0.3965517 0.516129 0.8163934]);
bnet.CPD{node.jaundice} = tabular_CPD(bnet, node.jaundice, [0.75 0.5671642 0.3467337 0.1942446 0.25 0.4328358 0.6532663 0.8057554]);
bnet.CPD{node.albumin} = tabular_CPD(bnet, node.albumin, [0.91222031 0.96463023 0.7393443 0.08605852 0.00321543 0.1426229 0.00172117 0.03215434 0.1180328]);
bnet.CPD{node.edge} = tabular_CPD(bnet, node.edge, [0.7586207 0.4516129 0.2344262 0.2413793 0.5483871 0.7655738]);
bnet.CPD{node.irregular_liver} = tabular_CPD(bnet, node.irregular_liver, [0.6034483 0.3548387 0.1065574 0.3965517 0.6451613 0.8934426]);
bnet.CPD{node.hbc_anti} = tabular_CPD(bnet, node.hbc_anti, [0.00355872 0.07936508 0.00763359 0.1304348 0.0875 0.101626 0.99644128 0.92063492 0.99236641 0.8695652 0.9125 0.898374]);
bnet.CPD{node.hcv_anti} = tabular_CPD(bnet, node.hcv_anti, [0.00355872 0.00158479 0.00763359 0.004329 0.00124844 0.00203252 0.99644128 0.99841521 0.99236641 0.995671 0.99875156 0.99796748]);
bnet.CPD{node.palms} = tabular_CPD(bnet, node.palms, [0.5 0.2903226 0.1409836 0.5 0.7096774 0.8590164]);
bnet.CPD{node.hbeag} = tabular_CPD(bnet, node.hbeag, [0.00355872 0.00158479 0.00763359 0.04347826 0.00124844 0.00203252 0.99644128 0.99841521 0.99236641 0.95652174 0.99875156 0.99796748]);
bnet.CPD{node.carcinoma} = tabular_CPD(bnet, node.carcinoma, [0.3636364 0.1 0.2 0.2727273 0.3 0.01 0.6363636 0.9 0.8 0.7272727 0.7 0.99]);
end